Bug 505772 - Boot hangs with HAL and avahi failures, maybe because of dbus
Boot hangs with HAL and avahi failures, maybe because of dbus
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 12:51 EDT by Eric LANDES
Modified: 2010-06-28 08:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Content of /var/log/messages (73.98 KB, text/plain)
2009-06-13 12:51 EDT, Eric LANDES
no flags Details

  None (edit)
Description Eric LANDES 2009-06-13 12:51:43 EDT
Created attachment 347752 [details]
Content of /var/log/messages

Description of problem:
After doing a preupgrade from Fedora 10 xfce to Fedora 11, boot hangs (it just displays the Fedora 11 boot bar). Messages on console say that HAL and avahi services failed to start. But logs in /var/log/messages seem to indicate a dbus problem. 


Version-Release number of selected component (if applicable):
avahi-0.6.25-1.fc11.i586
avahi-autoipd-0.6.25-1.fc11.i586
avahi-compat-libdns_sd-0.6.25-1.fc11.i586
avahi-glib-0.6.25-1.fc11.i586
avahi-tools-0.6.25-1.fc11.i586
dbus-1.2.12-1.fc11.i586
dbus-glib-0.80-2.fc11.i586
dbus-libs-1.2.12-1.fc11.i586
dbus-python-0.83.0-5.fc11.i586
dbus-x11-1.2.12-1.fc11.i586
hal-0.5.12-26.20090226git.fc11.i586
hal-cups-utils-0.6.19-2.fc11.i586
hal-info-20090414-1.fc11.noarch
hal-libs-0.5.12-26.20090226git.fc11.i586
python-slip-dbus-0.1.15-3.fc11.noarch
Comment 1 Daniel Thompson 2009-06-15 15:15:37 EDT
I also observed this problem after using preupgrade to move from F10 to F11. It had me acting a little grumpy for an half hour or so since it rendered my primary laptop inoperable.

Fortunately after running 'hald --verbose --daemon=no' I noticed something towards the end about SELinux denying hald access to the things it needs. After I switched SELinux to permissive mode the system booted perfectly.

I'm quite happy to gather any logs that are useful to diagnose the problem (and am likely to be competent to do so ;-). Just say the word.
Comment 2 Eric LANDES 2009-06-15 16:07:26 EDT
Indeed, after adding selinux=0 in grub.conf, boot phase is OK. 

Now, it's the Xorg process which is (often) at 100%, but there are already several bugs on this subject.
Comment 3 Bug Zapper 2010-04-27 10:52:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:58:16 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.